#include "SimpleBroadphase.h"

namespace BulletCLI 
{
    SimpleBroadphase::SimpleBroadphase()
	{
		this->m_p=new btSimpleBroadphase();
	}
	
	SimpleBroadphase::SimpleBroadphase(int maxProxies,IOverlappingPairCache^ overlappingPairCache)
	{
		this->m_p=new btSimpleBroadphase(maxProxies,overlappingPairCache->GetPtr());
	}
	SimpleBroadphase::~SimpleBroadphase()
	{
		this->!SimpleBroadphase();
	}
	SimpleBroadphase::!SimpleBroadphase()
	{
		delete this->m_p;
	}
}